Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.ms
Interface BlockFileSystem

All Known Implementing Classes:
  DefaultBlockFileSystem

    public interface BlockFileSystem

Describes the internal file system contained in .doc files.

Field Summary
`static int` | `BLOCK_SIZE` The size of a block in bytes.

Method Summary
`int` | `getNextBlock(int block)` Returns the number of the block that follows the given block.
`SeekInputStream` | `getRawInput()` Returns the raw input stream for this file system.
`Entry` | `getRoot()` Returns the root entry of the file system.

Field Detail

### BLOCK_SIZE

    static final int BLOCK_SIZE

  The size of a block in bytes.

  See Also:
    Constant Field Values

Method Detail

### getRoot

    Entry getRoot()
                  throws java.io.IOException

  Returns the root entry of the file system. Subfiles and directories can be found by searching the returned entry.

  Returns:
    the root entry
  Throws:
    `java.io.IOException` - if an IO error occurs

### getNextBlock

    int getNextBlock(int block)
                     throws java.io.IOException

  Returns the number of the block that follows the given block. The internal block allocation tables are consulted to determine the next block. A return value that is less than zero indicates that there is no next block.

  Parameters:
    `block` - the number of block whose successor to return
  Returns:
    the successor of that block
  Throws:
    `java.io.IOException` - if an IO error occurs

### getRawInput

    SeekInputStream getRawInput()

  Returns the raw input stream for this file system. Typically this will be the random access file containing the .doc.

  Returns:
    the raw input stream for this file system

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.